aboutsummaryrefslogtreecommitdiff
path: root/scripts/vim-patch.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/vim-patch.sh')
-rwxr-xr-xscripts/vim-patch.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/scripts/vim-patch.sh b/scripts/vim-patch.sh
index f9726e8a87..ba0e7f62dd 100755
--- a/scripts/vim-patch.sh
+++ b/scripts/vim-patch.sh
@@ -5,6 +5,12 @@ set -u
# Use privileged mode, which e.g. skips using CDPATH.
set -p
+# Ensure that the user has a bash that supports -A
+if [ "${BASH_VERSINFO[0]}" -lt 4 ]; then
+ echo "Update your bash version to one that supports -A syntax (>3)"
+ exit 1
+fi
+
readonly NVIM_SOURCE_DIR="${NVIM_SOURCE_DIR:-$(cd "$(dirname "${BASH_SOURCE[0]}")/.." && pwd)}"
readonly VIM_SOURCE_DIR_DEFAULT="${NVIM_SOURCE_DIR}/.vim-src"
readonly VIM_SOURCE_DIR="${VIM_SOURCE_DIR:-${VIM_SOURCE_DIR_DEFAULT}}"